
html {
  background-color: @alert-info-bg;
}

html,
body {
  height: 100%;
}

a:focus {
  outline: none;
}

* {
  outline-color: @xivo-primary !important;
}

body[state=login] > div {
  width: 410px !important;
}

body[state=login] form {
  min-width: 370px !important;
}

body {
  background-image: @app-header-background;
  letter-spacing  : 0.5px;
  padding-top     : 0;
  color           : @color-normal;
}

body>div {
  margin-left : 0;
}

body > .ui-view-container {
  display: flex;
  height: 100%;
  @media @smartphones {
    width: 100%;
    padding: 0;
  }
}

.main-app {
  position: relative;
  border-radius: 0px;
  height: 100%;
  width: 470px;
  background: @app-header-background;
  box-shadow: 0 2px 5px 0 rgba(110, 110, 110, 0.35);
}

.header {
  position: relative;
  text-align: center;
  padding: 10px;
  padding-bottom: 0px;

  .menu {
    padding-left: 6px;
    float: right;
    font-size: 25px;
    .gradient-background(@btn-primary-color-off);
    &:hover {
      .gradient-background(@btn-primary-color-hover);
    }
  }

  .user {
    font-size: 24px;
    color: @color-light;
    font-family: Dyno;
    position: absolute;
    text-align: left;
    overflow: hidden;
    width: 250px;
    white-space: nowrap;
    text-overflow: ellipsis;
  }


  .user-identity {
    position: relative;
  }

  .user-header-menu {
    a {
      float: right;
      margin-right: 10px;

      &:hover, &:focus {
        text-decoration: none;
      }
    }
    #menu {
      padding-top: 3px;
      margin-right: 3px;
    }
  }

  div.user-header-menu > a:nth-child(3) {
    margin-right: 44px;
  }

  .user-header-btn {
    position: relative;
    padding: 6px 0 3px 3px;
    font-size: 19px;
    &:hover {
      cursor: pointer;
      .gradient-background(@btn-primary-color-hover);
    }
    img {
      width: 31px;
    }
    .gradient-background(@btn-primary-color-off);
  }

  .forward-wrapper {
    top: 34px;
    left: 0;
    position: absolute;
    display: inline-flex;
  }

  .forward-number {
    color: @color-lighter;
    font-size: 12px;

    &:before {
      content: "[ ";
    }
    &:after {
      content: " ]";
    }
  }

  .btn img {
    margin-bottom: 3px;
  }

  .btn.btn-round {
    margin-top: 10px;
  }

  .user-action {
    margin: 30px 0;

    .popover {
      min-width: 130px;
      text-align: center;
    }
  }

  .context {
    margin-right: 6px;
    margin-top: -2px;
    float: right;
    font-size: 25px;
  }

  .context img {
    color: @xivo-dark;
  }
}

.header-clear {
  clear: both;
  margin-bottom: 22px;
}

.navigation {
  margin-bottom: 0;
  padding-left: 0;
  list-style: none;
  & > li {
    position: relative;
    display: block;
    float: left;
  }
  & > li + li {
    margin-left: 10px;
  }

  .btn-menu {
    box-shadow: none;
    background: @xivo-light;
    i:not(.fa-envelope) {
      .gradient-background(@btn-primary-color-off);
    }
    &:hover,
    &:focus,
    &.focus {
      color: @xivo-light;
      background: @btn-primary-color-hover;
      i {
        color: @xivo-light;
        .gradient-background(initial, initial, initial);
      }
    }
  }

  .menuselected .btn-menu {
    color: @xivo-light;
    background: @btn-primary-color-active;
    i {
      color: @xivo-light;
      .gradient-background(initial, initial, initial);
    }
  }

  .btn-lg.btn-circle {
    font-size: 23px;

    .badge {
      top: 30px;
      right: -5px;
      color: @xivo-light;
      background: @btn-primary-color-hover-2;
      height: 20px;
      width: 20px;
      padding: 4px 0 0 1px;
    }

    & .xivo-favoris {
      padding-bottom: 2px;
    }
  }


}
.logos-switch {
  i {
    font-size: 80px;
    .gradient-background(@btn-primary-color-off);

    &.active {
      .gradient-background(@btn-primary-color-active);
    }
  }
}
.autocomplete-background-white();

.search-form {
  position: relative;
  padding: 0 0 18px 11px;

  .form-control {
    border: none;
    box-shadow: none;
    border-radius: 50px;
    border-right: 0 none;
    padding-right: 24px;
    padding-left: 36px;
    height: 45px;
    font-size: 14px;
    text-align: center;
    float: none;
  }

  .input-group-btn > .btn {
    background: @xivo-light;
    i {
      .gradient-background(@btn-primary-color-off);
    }

    border: none;
    border-left: 0 none;
    border-radius: 0px 30px 30px 0px;
    padding: 3px 12px 0 10px;
    font-size: 18px;
    height: 45px;
    width: 40px;
    outline: 0;
    &:hover {
      color: @xivo-light;
      background: @btn-primary-color-hover;
      i {
        color: @xivo-light;
        .gradient-background(initial, initial, initial);
      }
    }

    .fa-phone {
      font-size: 22px;
    }

    .fa-search {
      padding-bottom: 7px;
    }
  }

  .icon-dropdown {
    border: none;
    background: none;
    outline: none;
    padding: 0;
    right: 18px;

    .search-bar-dropdown {
      float: none;
      transform: translate(-95%, 23px);
      min-width: 60px;
    }

    .fa-phone,
    .fa-user-plus,
    .fa-search {
      color: @xivo-primary;
    }

    li > a {
      padding: 1px 15px 0 10px;
      .fa-phone,
      .fa-search {
        margin-right: 7px;
      }
    }
  }

  .blockedInvite {
    background: none !important;
    -webkit-text-fill-color: grey !important;
    cursor: not-allowed;
  }

  .fa-angle-down {
    top: 1px;
    font-size: 22px;
    position: absolute;
    background: @xivo-light;
    border: 1px solid @btn-primary-color-off-1;
    border-radius: 50%;
    bottom: 0;
    box-shadow: 1px 2px 1px rgba(110, 110, 110, 0.15);
    cursor: pointer;
    height: 23px;
    position: absolute;
    text-align: center;
    width: 24px;
    color: @btn-primary-color-off-1;

    &:hover {
      background: @btn-primary-color-hover-2;
      border-color: @btn-primary-color-hover-1;
      color: @xivo-light;
    }
  }

  input:focus + .input-group-btn > .btn {
    box-shadow: none;
    &:focus {
      outline: 0 none;
    }
  }

  input:-webkit-autofill,
  input:-webkit-autofill:hover,
  input:-webkit-autofill:focus,
  input:-webkit-autofill:active  {
      -webkit-box-shadow: 0 0 0 30px lighten(@xivo-primary, 40%) inset !important;
  }

  .clearinput {
    position: absolute;
    right   : 45px;
    top     : 10px;
    color   : @xivo-dark-gray;
    padding : 5px;
    cursor  : pointer;
    z-index : 9;

    &:hover {
      text-decoration: none;
      font-weight    : bold;
      color          : @xivo-primary;
    }
  }
}

.no-border-bottom {
  border-bottom-style: none !important;
}

.no-padding {
  padding: 0px !important;
}

.no-result {
  font-style: italic;
  padding: 10px;
}

.content-view {
  overflow-y: auto;

  &[class~="interface.externalview"] {
    overflow-y: hidden;
  }

  table {
    margin-bottom: 0;
    tr:first-child > td {
      border-top: 0;
    }

    tr:last-child > td {
      border-bottom: 1px solid @modal-menu-dark-bg;
    }

    tr {
      height: @contact-line-height;

      .table-call-line {
        table-layout: auto;
      }

      &:not(.conferences):hover {
        //background: @xivo-primary;
        //color: @xivo-light;

        td,
        td.favorite,
        td.call {
          //color: @xivo-light;
        }
        td.name,
        td.history-phone {
          //font-weight: bold;
        }
        td.history-status img,
        td.history-time span {
          display: none;
        }
        td.history-time i,
        td.history-status i {
          display: inline-block;
          color: @xivo-light;
        }
        td.history-time i {
          font-size: 30px;
        }
        td.history-status i {
          font-size: 25px;
        }
      }

      td {
        vertical-align: middle;
        &.user-status {
          padding: 0;
          width: 10px;
        }
        &.favorite {
          width: @contact-line-height;
          color: @xivo-primary;
          padding: 0;
        }
        &.call {
          font-size: 30px;
          padding: 0;
          width: 70px;
          color: @xivo-primary;

          .fas.fa-ellipsis-v {
            font-size: 24px;
          }

          .dropdown-menu {
            left: initial;
            right: 0;
            color: @xivo-light;
            background: none;
            border: 0px none;
            box-shadow: none;
            margin: 0;
            margin-top: -1px;
            padding: 0;
            > li {
              float: right;
              margin-top: 1px;

              .input-group-btn {
                &.group-btn-wrapper {
                  max-width: 390px;
                }
              }
            }
            .btn {
              text-transform: none;
              text-align: left;
              font-weight: bold;
              color: @xivo-light;
              .glyphicon,
              .fa {
                visibility: hidden;
              }
              &:hover {
                background-color: @xivo-dark;
                .glyphicon,
                .fa {
                  visibility: visible;
                  color: @xivo-primary;
                }
              }
            }
          }
        }
        &.edit {
          font-size: 25px;
          padding: 0;
          width: 70px;

          &.action {
            cursor: pointer;
          }
        }

        &.history-time {
          font-size: 12px;
          width: 60px;
          color: @xivo-dark-gray;
          i {
            display: none;
          }
        }

        &.history-status {
          width: 50px;
          i {
            display: none;
          }
        }

        &.history-phone {
          padding-left: 20px;
        }

        &.call-state {
          width: 50px;
          text-align: center;

          &.extended {
            width: 60px;
            padding: 0;
            text-align: left;
          }
        }

        span.volume-state {
          display: inline-flex;

          & > volume-meter {
            padding-right: 6px;
            padding-top: 4px;
          }

          .primary-color {
            color: @xivo-success;
          }

          .dark-color {
            color: @xivo-dark;
          }

          .gray-color {
            color: @xivo-dark-gray;
          }

          .warning-color {
            color: @xivo-warning;
          }

          .progress-bar-vertical {
            width: 10px;
            height: 25px;
            margin-bottom: 0px;
            display: -webkit-box; /* OLD - iOS 6-, Safari 3.1-6, BB7 */
            display: -ms-flexbox; /* TWEENER - IE 10 */
            display: -webkit-flex; /* NEW - Safari 6.1+. iOS 7.1+, BB10 */
            display: flex; /* NEW, Spec - Firefox, Chrome, Opera */
            align-items: flex-end;
            -webkit-align-items: flex-end; /* Safari 7.0+ */
          }

          .progress-bar-vertical .progress-bar {
            height: 0%;
            width: 10px;
            -webkit-transition: height 0.6s ease;
            -o-transition: height 0.6s ease;
            transition: height 0.6s ease;
          }

          .background-primary-color {
            background-color: @xivo-success;
          }

          .dark-background-color {
            background-color: @xivo-dark;
          }

          .gray-background-color {
            background-color: @xivo-dark-gray;
          }

          .warning-background-color {
            background-color: @xivo-warning;
          }

          .blinking {
            animation: blinkIcon 1s infinite;
          }
        }

        &.favorite a,
        &.call a[uib-dropdown-toggle] {
          color: inherit;
          background: inherit;
          width: @contact-line-height;
          display: inline-block;
        }
      }
    }
  }

  .fa-stack {
    font-size: 20px;
    vertical-align: middle;
    margin-bottom: 12px;
  }


  .title-header {
    height     : 50px;
    background-color: @windows-bg-2;
    box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.1);
    font-weight: bold;
    font-size  : 12px;
    text-align: center;
    display: grid;
    align-items: center;

    .messages-header {
      width: auto;
      color      : @xivo-dark;
      font-weight: bold;
      font-size  : 12px;
      vertical-align: center;

    }
  }

  .fa-users-plus-wrapper {
    position: relative;

      .fa-users-plus-1 {
        font-size: 10px;
        position: absolute;
        bottom: -2px;
        right: -6px;
        text-shadow: none;
      }

    .fa-users-plus-0 {
      font-size: 17px;
      position: relative;
      left: -1px;
    }
  }

  .xivo-phone-plus-wrapper {
    position: relative;

      .xivo-phone-plus {
        font-size: 12px;
        position: absolute;
        bottom: 8px;
        right: -3px;
        text-shadow: none;
        font-family: 'FontAwesome' !important;
      }
  }

}

.xivo-phone-plus-wrapper {
    position: relative;

      .xivo-phone-plus {
        font-size: 12px;
        position: absolute;
        bottom: 8px;
        right: -3px;
        text-shadow: none;
        font-family: 'FontAwesome' !important;
      }
}

.modal .incoming-number {
  white-space: normal;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: center;
  font-weight: bold;
  font-size: 22px;
}

.modal .incoming-name {
  font-size: 22px;
}

.modal .confirmation-title {
  text-align: center;
  text-transform: uppercase;
  font-size: 15px;
  padding-bottom: 20px;
}

.modal .confirmation-text {
  text-align: center;
  font-weight: bold;
  font-size: 22px;
}

.modal {
  .onhold-title {
    text-align: center;
    text-transform: uppercase;
    font-size: 15px;
    padding-bottom: 20px;
  }

  .onhold-timer {
    text-align: center;
    font-weight: bold;
    font-size: 15px;
  }

  .onhold-caller {
    text-align: center;
    font-weight: bold;
    font-size: 22px;
  }

  .onhold-center-div {
    margin: 0 auto;
    padding: 0;
    width: 90%;
    text-align: center;
  }

  .onhold-button {
    width: 100%;
    margin-top: 25px;
  }

  .onhold-separator {
    margin-top: 30px;
    margin-bottom: 15px;
    border-top: 1px solid @header-title;
  }

  .onhold-footer {
    text-align: center;
    padding: 0 25px 25px 25px;
  }
}

.modal-header {
  text-align: center;
  .title-icon {
    margin-top: -50px;
  }
  border-bottom: none;
}



.modal-content .alert {
  padding: 10px;
  margin-top: 30px;
  font-size: 13px;

  &.alert-import {
    margin: 0;
    border-radius: 0;
  }
}

.modal-footer {
  text-align: center;
  border-top: none;

  .btn-dark:hover {
    background-color: @xivo-light;
    color: @xivo-dark;
  }
}

.modal.fatal-error {
  .modal-body {
    text-align: center;
    font-size: 18px;
  }
  .modal-footer {
    text-align: center;
    border: 0;
    padding: 20px;
  }
}

.ringtone-modal {
  height: 10% !important;
  min-height: 90px;
}

.ringtone-wrapper {
  height: 90%;
  overflow-y: scroll;
}

.ringtone-list {
  overflow: hidden;
}

.modal-content {
  color: @color-normal;
  background: #FBFBFB 0% 0% no-repeat padding-box;
  box-shadow: 0px 2px 20px #00000012;
  margin-left: 0;
  overflow: hidden !important;

    .menu-item {

      i {
        font-size: 20px;
      }
    }
}

.modal-content .input-group-addon {
  background-color: @xivo-dark;
}

.modal-content .close {
  color  : @xivo-light;
  opacity: .5;
  padding: 15px;
}

.modal-title {
  text-align: center;
}

.modal-footer {
  padding: 20px 25px 50px 25px;
}

.modal-dialog {
  position: absolute;
  left: 30px;
  width     : 410px;
  margin-left: 0px;
  margin-right: 0px;
  margin-bottom: 0;
  margin-top: 66px;
  display: inline-block;
  vertical-align: middle;
  text-align: center;
}


.callMgtModal { //modal call forwarding and ua

  .modal-content {
    .modal-header {
      padding-top: 18px;
      height: 62px;
      font-size: 20px;
    }
    .modal-body {
      .modal-device-selection {
        text-align: center;
        position: relative;
        .switch-icon-webrtc {
          margin-right: 35px;
        }
        .device-selection {
          margin-bottom: 15px;
        }
        .switch-icon-phone {
          margin-left: 18px;
          margin-top: 7px;
        }
        .switch-icon-mobile {
          margin-left: 40px;
          margin-bottom: -5px;
          height: 40px;
        }
        .ua-switch-buttons, .mobile-switch-buttons {

          &:hover, &:focus, &:active  {
            outline: none;
          }
        }

        .active{
          background-color: @xivo-primary;
          color: white;
          outline: none;
        }
        .ua-switch-webrtc, .ua-switch-phone {
          width: 160px;
        }

        .mobile-switch-phone-button, .mobile-switch-mobile-button {
          width: 160px;
          text-align: center;
        }

        .mobile-switch-phone-button:not(.active, :hover) {
          background: @btn-primary-color-off-reverse
        }

        .mobile-switch-mobile-button {
          &.active {
            background: @btn-primary-color-active-reverse;
          }
          &:hover {
            background: @btn-primary-color-hover-reverse;
          }
        }

        .delete-mobile-app {
          top: 84px;
          position: absolute;
          right: 61px;
          border: none;
          box-shadow: none;
          background-color: transparent;
          color: @xivo-danger;

          .icon-link, .icon-unlink {
            font-size: 17px;
          }
          .icon-unlink {
            display: none;
          }

          &:hover {
          background-color: transparent;

            .icon-unlink {
              display:inline;
            }

            .icon-link {
              display: none;
            }
          }
        }

        .unpair-icon-lightened {
          color: @xivo-primary;
        }
      }


      .modal-forward-note {
        color: @xivo-dark-gray;
        font-size: 12px;
        font-style: italic;
        padding: 8px 0;
        text-align: center;
      }
      .modal-option {
        line-height: 39px;
        font-size: 16px;
        display: flex;
        justify-content: space-between;
        color: @xivo-dark;
        .modal-checkbox {
          display: none;
        }
        &.centered {
          justify-content: center;
        }
      }
      .modal-option-extension {
        ::-webkit-input-placeholder {
          font-size: 12px;
          color: @modal-menu-color;
          text-transform: none !important;
        }
        line-height: 35px;
        height: 35px;
        text-align: center;
        .modal-option-destination {
          color: @xivo-dark;
          display: inline;
          line-height: 39px;
          padding-left: 35px;
        }
        .forward-unc,
        .forward-na {
          border: 1px solid @xivo-dark-gray;
        }
      }
      .dnd-checkbox {
        width: 50px;
        height: 20px;
      }
      .modal-error-message {
        color: red;
        font-size: 12px;
        margin: 5px 0 25px 0;
        span {
          position: relative;
        }
      }
      .switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 34px;
      }

      .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: @btn-primary-color-off;
        -webkit-transition: 0.4s;
        transition: 0.4s;
        &:hover {
          background: @btn-primary-color-hover;
        }
      }

      .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: 0.4s;
        transition: 0.4s;
      }

      input:checked + .slider {
        background: @btn-primary-color-active;
        &:hover {
          background: @btn-primary-color-hover;
        }
      }

      input:focus + .slider {
        box-shadow: 0 0 1px @xivo-primary;
      }

      input:checked + .slider:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
      }

      .slider.round {
        border-radius: 34px;
      }

      .slider.round:before {
        border-radius: 50%;
      }
      .red-input {
        border-color: red !important;
      }
    }

    .modal-footer {
      border: none;
      .forward-cancel {
        color: white;
        background: @btn-primary-color-off;
        &:hover {
          color: white;
          background: @btn-primary-color-active;
        }
      }
    }
  }
}

.header-unpair {
  padding: 25px 15px 5px 15px;
  .unpair-title {
    font-weight: bold;
    font-size: 18px;
  }
}

.message-unpair {
  font-size: 16px;
}

.footer-unpair {
  padding-bottom: 36px;
}

.modal {
  text-align: center;
  margin-left: 0;

  &:before {
    display: inline-block;
    content: " ";
  }

  .forward-header {
    height: 40px;
  }


  .forward-footer {
    text-align: center;
    padding: 0 25px 25px 25px;
  }

  .form-group {
    margin-bottom: 0;
  }

  .forward-warning {
    font-size: 12px;
    color: @xivo-primary;
    text-align: center;
  }

  .forward-center-div {
    margin: 0 auto;
    padding: 0;
    width: 90%;
    text-align: center;
  }

  .forward-type-container {
    padding-left: 5%;
    padding-right: 5%;
  }

  .forward-title {
    text-align: center;
    text-transform: uppercase;
    font-size: 15px;
    padding-top: 10px;
  }

  .forward-type-title {
    font-size: 13px;
    padding-top: 20px;
    padding-bottom: 5px;
    text-transform: uppercase;
  }

  .forward-type-text {
    font-size: 12px;
    padding-top: 10px;
    padding-left: 26px;
    float: left;

    &.disabled {
      opacity: 0.65;
    }
  }

  .forward-display {
    display: block;
  }

  .forward-type-number {
    height: 35px;
    border-radius: 5px;
    font-size: 20px;
    width: 200px;
    float: right;
    display: hidden;
  }

  .forward-type-button {
    width: 100%;
    margin-top: 25px;

    &.dnd {
      margin-top: 18px;
    }
  }

  .forward-separator {
    margin-top: 10px;
    margin-bottom: 10px;
    border-top: solid 1px @modal-menu-color;
  }

  .forward-error-text {
    text-align: center;
    font-size: 17px;
  }

  .forward-type-number {
    box-shadow: none;
  }
}

.import-loading {
  color: @xivo-primary;
}

.modal-forward-note {
  color: @xivo-dark-gray;
  font-size: 12px;
  font-style: italic;
  padding: 8px 0;
  text-align: center;
}
.modal-option {
  line-height: 39px;
  font-size: 16px;
  display: flex;
  justify-content: space-between;
  color: @xivo-dark;
  .modal-checkbox {
    display: none;
  }
  &.centered {
    justify-content: center;
  }
}
.modal-option-extension {
  ::-webkit-input-placeholder {
    font-size: 12px;
    color: @modal-menu-color;
    text-transform: none !important;
  }
  line-height: 35px;
  height: 35px;
  text-align: center;
  .modal-option-destination {
    color: @xivo-dark;
    display: inline;
    line-height: 39px;
    padding-left: 35px;
  }
  .forward-unc,
  .forward-na {
    border: 1px solid @xivo-dark-gray;
  }
}
.dnd-checkbox {
  width: 50px;
  height: 20px;
}
.modal-error-message {
  color: red;
  font-size: 12px;
  margin: 5px 0 25px 0;
  span {
    position: absolute;
  }
}
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: @xivo-dark-gray;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: @xivo-primary;
}

input:focus + .slider {
  box-shadow: 0 0 1px @xivo-primary;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.red-input {
  border-color: red !important;
}

#padlock {
  width: 50px;
  height: 50px;
  display: block;
  margin: 0 auto;
  font-size: 30px;
  text-align: center;
}

.modal-panel {
  .modal-pre-title {
    font-size: 14px;
    font-weight: 300;
    text-transform: uppercase;
  }

  .modal-header {
    border: none;
    height: 160px;
    padding: 15px;
  }

  .modal-title {
    padding-top: 7px;
    font-size: 18px;
    font-weight: bold;
  }

  .no-margin-top {
    margin-top: 0;
  }

  .hidden-with-space.ng-hide:not(ng-hide-animate) {
    visibility: hidden !important;
    display: block !important;
  }

  .modal-actions {
    padding-top: 5px;
    padding-left: 15px;
    display: inline-flex;

    & > div:first-of-type {
      margin-right: 15px;
    }

    .delete {
      .fa-stack {
        .gradient-background(initial, initial, initial);

        .background {
          .gradient-background(initial, initial, initial);
          color: white;
        }
        &:hover {
          .background {
            .gradient-background(@btn-primary-color-active);
            color: initial;
          }
          .foreground {
            .gradient-background(initial, initial, initial);
            color: white;
          }
        }
      }
    }

    .favorites {
      .fa-stack {
        .gradient-background(initial, initial, initial);

        .background {
          .gradient-background(initial, initial, initial);
          color: white;
        }
        &:hover {
          .background {
            .gradient-background(@btn-primary-color-hover);
            color: initial;
          }
          .foreground {
            .gradient-background(initial, initial, initial);
            color: white;
          }
        }
      }
    }

    .favorites, .delete {
      height: 40px;
      width: 40px;

      .background {
        color: @modal-action-color;
      }

      .foreground {
        color: @xivo-light;
      }

      &.active {
        .background {
          .gradient-background(@btn-primary-color-active);
        }
        .foreground {
          .gradient-background(initial, initial, initial);
          color: white;
        }
      }

      &:hover {
        .background {
          .gradient-background(@btn-primary-color-hover);
        }
      }
    }
    .delete {
      height: 40px;
      width: 40px;

      .background {
        color: @xivo-dark;
      }

      .foreground {
        color: @xivo-light;
      }

      &:hover {
        .background {
          color: @xivo-warning;
        }
      }
    }
  }
}

.modal-backdrop {
  margin-left: 0;
  z-index: @modal-main;
}

.fade.in {
  backdrop-filter: blur(3px);
  width: 470px;
}

.modal-right { //modal general menu
  .modal-dialog {
    margin      : auto;
    position    : fixed;
    width       : 470px;
    height      : 100%;
    margin-right: -225px;
    top: 0px;

    @media @smartphones {
      width       : 100%;
      margin-right: 0;
      right       : 0;
    }
  }

  &.fade .modal-dialog {
    width     : 0;
    transition: opacity 0.3s linear, width 0.3s ease-out;
    margin-left: 0;
    left: 0;
  }

  &.fade.in .modal-dialog {
    width: 470px;
    margin-left: 0;

    @media @smartphones {
      width: 100%;
    }
  }


  .modal-header {
    color           : @color-light;
    transition      : all .5s linear;
    font-size       : 22px;
    padding         : 40px 30px 40px 30px;
    border          : none;

    .modal-title {
      padding-top: 30px;
      font-size  : 22px;
      font-weight: bold;
    }
  }

  .modal-content {
    height          : 100%;
    overflow-y      : auto;
    background      : @app-header-background;
    color           : @color-normal;
    border-radius   : 0;
    border          : none;
    box-shadow      : none;

    .nav-tabs {
      background: linear-gradient(90deg, @color-background-nav-1 0%, @color-background-nav-2 90%);
      border-bottom: none;

      & > li {
        margin-bottom: 0;

        & > a {
          border-radius: 0;
          border-bottom: 0;
          margin-right: 0;
        }
      }


      & > li.active {
        background: linear-gradient(180deg, @xivo-primary 8%, @color-background-nav-2 8%);

        & > a {
          border-radius: 0;
          margin-right: 0;
          -webkit-text-fill-color:  @xivo-primary ;
          border-bottom: none;
          background: none;
          box-shadow: -5px 0 5px -5px #dcdcdc, 5px 0 5px -5px #dcdcdc;
        }
      }
    }

  }

  .close {
    opacity    : 1;
    padding: 10px;
    padding-right: 30px;
  }

  .modal-body {

    box-shadow: 0px 5px 10px -5px rgba(0, 0, 0, 0.1);

    .menu-header {
      padding         : 10px;
      text-align      : center;
      font-size       : 1.2em;
      font-weight     : bold;
      background-color: @modal-menu-bg;
    }

    .fa-music {
      font-size: 16px !important;
    }

    .menu-item,
    .menu-item-nohover {
      padding      : 20px 30px 20px 30px;

      label {
        float: left;
      }

      &:not(:last-child) {

        &:after {
          content: '';
          width: 100%;
          height: 1px;
          background: lighten(@xivo-dark-gray, 30%);
          position: relative;
          display: flex;
          bottom: -20px;
        }
      }

      &:not(.dropdown).fa {
        font-size: 24px;
        color    : @color-menu;
        position : relative;
        bottom   : 3px;
        right    : 5px;

        &.fa-user-plus {
          right: 0;
        }

        &.fa-logout-button {
          color: @xivo-primary;
        }
      }

      .btn-default {
        font-size: 13px;
      }

      .centered-logout {
        text-align : center;
      }
    }

    .menu-item {
      span {
        color: @xivo-dark;
      }
      i {
        .gradient-background(@btn-primary-color-off);
      }
    }

    &.logout {
      position: absolute;
      bottom: 0px;
      width: 100%
    }

    .menu-item.logout {
      border: none;
      & i {
        font-size: 50px;
      }
      & b {
        position: relative;
        bottom: 12px;
        left: 5px;
      }
      &:hover {
        background-color: lighten(@btn-primary-color-active-2, 35%);
        color: @xivo-danger;
        i {
          .gradient-background(@xivo-danger);
        }
      }
    }
    .menu-item:hover {
      font-weight: bold;
      background-color: @xivo-primary-hover;
      cursor: pointer;
      i {
        .gradient-background(@btn-primary-color-hover);
      }
      span {
        color: @btn-primary-color-hover-2;
      }
    }
  }

  .modal-footer {
    border: none;
  }

  &.greyed {
    .modal-header {
      border: none;
      height: 120px;

      .modal-title {
        padding-top: 7px;
      }
    }

    .modal-content {
      background-color: @modal-menu-bg;

      .modal-body {
        padding: 0 20px;
      }
    }

    .modal-footer {
      padding: 10px 40px 30px 40px;
    }
  }
}

.call-control {
  filter: @call-control-shadow;

  table>tbody{
    tr>.call-row-element{
       border: 0;
     }
  }

  .idle.participants{
    border-bottom: none !important;
  }

  .conference .call-row-wrapper {
    border-bottom: none;
  }

  .participants.last-participant{
    border-bottom: lighten(@orange, 15%) 2px solid;
  }

  .call-row-wrapper, .rtc-conference-wrapper,
  .rtc-conference-member-wrapper, .conference-row-wrapper {
    height: 64px;
    background-color: @xivo-light;
  }

  .idle .call-row-wrapper {
    border: none;
  }

  .call-row-wrapper {
    display: grid;
    grid-template-columns: auto 190px 1fr;
    column-gap: 5px;
    border: lighten(@orange, 15%) 2px solid;


    &:hover {
      .idle {
        opacity: 1;
      }
    }
    .idle {
      opacity: 0.6;
    }

    .call-placeholder-msg, .call-placeholder-spinner {
      border: 0;
    }

    .xivo-pause-appel, .xivo-play, .call-duration, .call-name, .call-duration-actions ,
    .call-state, .call-actions, .call-placeholder-msg, .call-placeholder-spinner {
      align-self: center;
    }

    .call-on-hold {
      position: relative;
      top: 1px;
    }

    .call-name {
      max-width: 186px;
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
      .call-party-name {
        font-weight: bold;
      }
      .conference-name {
        font-weight: bold;
      }
      .conference-participant-count {
        display: flex;
      }
    }

    .call-duration-actions {
      display: grid;
      grid-template-columns: 58px 1fr;
      .call-duration {
        color: @xivo-dark-gray;
        font-weight: bold;
      }

      .call-actions {
       justify-self: end;
        font-size: 22px;
        display: flex;
        gap: 7px;
        .call-hold, .chat-bubble, .call-keyboard,
         .webrtc-user-mute, .call-hangup, .call-conference,
         .call-transfer, .call-answer, .conference-mute-all, .conference-unmute-all
         .call-includeToConference {
          color: @xivo-primary;
          text-decoration: none;
          &:hover {
            color: @xivo-dark;
            text-decoration: none;
          }
        }

        .fa-compress, .fa-share {
          font-size: 20px;
        }
        .call-hangup {
          transform: rotate(135deg);
          position: relative;
          bottom: 1px;
          background: @xivo-danger;
          border-radius: 50%;
          height: 30px;
          width: 30px;
          text-align: center;
          &:hover {
            background: @xivo-red;
            text-decoration: none;
          }
          .xivo-raccrocher-3 {
            color: @xivo-light;
            font-size: 20px;

          }
        }
      }
    }
  }

// Three party conference

  .RTCconference.last-participant .rtc-conference-member-wrapper {
    border-bottom: lighten(@orange, 15%) 2px solid;
  }

  .idle.RTCconference.last-participant .rtc-conference-member-wrapper {
    border-bottom: none !important;
  }

  .rtc-conference-wrapper {
    display: grid;
    grid-template-columns: auto repeat(2, 2fr);
    column-gap: 5px;
    border: lighten(@orange, 15%) 2px solid;
    border-bottom: none;

    .call-state {
      margin-left: 15px;
    }

    .call-name {
      margin-left: 15px;
      font-weight: bold;
      text-transform: uppercase;
    }

    .xivo-pause-appel, .call-duration-actions, .call-duration, .call-name, .call-state {
      align-self: center;
    }

    .call-duration-actions {
      display: grid;
      grid-template-columns: 1fr 1fr;
      column-gap: 15px;
      justify-self: end;
      .call-duration {
        color: @xivo-dark-gray;
        font-weight: bold;
      }
      .call-actions {
        margin-right: 8px;
        display: flex;
        gap: 8px;
        font-size: 24px;
        .call-hold {
          color: @xivo-primary;
          text-decoration: none;
          &:hover {
            color: @xivo-dark;
            text-decoration: none;
          }
        }
        .call-hangup {
          transform: rotate(135deg);
          position: relative;
          bottom: 1px;
          background-color: @xivo-danger;
          border-radius: 50%;
          height: 30px;
          width: 30px;
          text-align: center;
          text-decoration: none;
          &:hover {
            background-color: @xivo-red;
            text-decoration: none;
          }
          .xivo-raccrocher-3 {
            color: @xivo-light;
            font-size: 20px;
            text-decoration: none;
          }
        }
      }
    }
  }

  .rtc-conference-member-wrapper {
    display: grid;
    padding-left: 20px;
    grid-template-columns: 30px 1fr 70px;
    border-inline: lighten(@orange, 15%) 2px solid;

    .call-state {
      font-weight: bold;
    }
    .call-name {
      max-width: 300px;
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
      font-weight: bold;
    }

    .call-name, .call-state, .call-duration {
    align-self: center;
    }

    .call-duration {
      color: @xivo-dark-gray;
      font-weight: bold;
      justify-self: end;
    }
  }

  // managed and unmanaged conferences
  .idle .conference-row-wrapper {
    border-inline: none;

    .call-name {
      opacity: 0.6;

      &:hover {
        opacity: 1;
      }
    }
  }

  .conference-row-wrapper {
    display: grid;
    grid-template-columns: 50px 255px 1fr;
    border-inline: lighten(@orange, 15%) 2px solid;
    padding: 8px;

    .conference-status-wrapper, .call-name,  .call-duration-actions, .call-duration {
      align-self: center;
      }

    .conference-status-wrapper {
      display: flex;
      justify-content: center;

      .conference-participant-muted {
        padding-top: 1px;
      }
    }

    .call-name {
      display: grid;
      grid-template-columns: 1fr 30px;
      font-weight: bold;

     .call-party-name {
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        max-width: 220px;
      }
    }

    .participant-speaking,
    .participant-muted {
      font-size: 20px;
      transition-property: visibility, opacity;
      transition-duration: 0s, 0.2s;

      &.inactive {
        opacity: 0;
        visibility: hidden;
        transition-delay: 0s, 0.2s;
        transition-property: opacity, visibility;
        transition-duration: 0.2s, 0s;
      }
    }

    .participant-speaking {
      color: @xivo-success;
    }

    .participant-muted {
      color: @color-normal;
      margin-top: 2px;
    }

    .conference-participant-deaf {
      font-size: 16px;
      line-height: 16px;
    }

    .conference-participant-undeaf {
      width: 24px !important;
      height: 24px !important;
      cursor: pointer;
      text-decoration: none;
    }


    .call-duration-actions {
      display: grid;
      grid-template-columns: 1fr 1fr;

      .call-duration {
        font-size: 12px;
        color: @xivo-dark-gray;
      }

      .call-actions {
        display: flex;
        flex-direction: row-reverse;
        font-size: 22px;
        gap: 5px;
        margin-right: 3px;

        .participant-mute-me, .chat-bubble, .conference-mute-all .call-includeToConference {
          color: @xivo-primary;
          text-decoration: none;
          &:hover {
            color: @xivo-dark;
            text-decoration: none;
          }
        }

        .managed-conferences {
          display: flex;
          flex-direction: row-reverse;
          gap: 5px;
          margin-right: 4px;

          .call-hangup {
            color: @xivo-danger;
            height: 30px;
            width: 30px;
            text-align: center;
            &:hover {
              color: @xivo-red;
              text-decoration: none;
            }
            .xivo-raccrocher-3 {
              color: @xivo-light;
              font-size: 20px;
            }
          }
        }
      }
    }

    &.role-organizer {
      color: @xivo-success;

      .call-state, .call-party-name p {
        color: @xivo-primary;
      }
    }

    &.kicked {
      color: @xivo-dark-gray;
    }
  }
}

.message-resize {
  display: none;
  @media @minimum-usable-uc {
    display: block;
    width: 100% !important;
    height: auto;
    bottom: 0 !important;
    position: fixed;
    z-index: @message-resize !important;
  }
}

.microphone-broken-message {
  background-color: rgba(180, 236, 255, 0.7);
  font-size: 12px;
  td {
    display: flex;
    justify-content: space-between;
    padding: 3px 5px!important;
    &:hover {
      background-color: rgba(180, 236, 255, 0.9);
    }
    a {
      text-decoration: none;
      color: inherit;
      cursor: pointer;
    }
  }
}

.audio-quality-message {
  background-color: #fff4a9;
  font-size: 12px;
  td {
    padding: 0!important;
    &:hover {
      background-color: #fff195;
    }
    audio-stats-displayer {
      .quality-issue-message {
        padding: 3px 5px!important;
        display: flex;
        justify-content: space-around;
        .audiowave-image {
          img {
            margin-top: 3px;
            width: 35px;
            height: 25px;
            display: block;
            margin-right: 5px;
          }
        }
      }
      .audio-stats-details {
        color: @xivo-primary;
        cursor: pointer;
        &:hover {
          font-weight: bold;
        }
      }
      .advanced-statistics {
        padding: 5px 45px;
        font-size: 11px;
        .stats-wrapper {
          display: flex;
          justify-content: center;
          .stats-separator {
            height: 51px;
            width: 1px;
            background-color: @xivo-dark;
            margin: 0 15px;
          }
          .adv-stats-down, .adv-stats-up {
            width: 135px;
            display: block;
            .adv-stats-title {
              font-weight: bold;
            }
            div {
              display: flex;
              justify-content: space-between;
              span {
                display: block;
              }
            }
          }
        }
        .adv-stats-rtt {
          padding-top: 1px;
        }
      }
    }
  }
}

.init-error-message {
  background-color: #fff4a9;
  font-size: 12px;
  &:hover {
    background-color: #fff197 !important;
  }

  td {
    display: flex;
    justify-content: space-between;
    padding: 3px 5px!important;
    a {
      text-decoration: none;
      color: inherit;
      cursor: pointer;
    }
  }
}

.logo-footer {
  position: relative;
  width: 60px;
  height: 25px;
  padding: 5px 5px;
}

.btn-lg.btn-circle .fa-envelope-offset {
  float: none;
  left: 0;
}

.footer {
  background: @windows-bg-2;
  height: 26px;
  position: absolute;
  bottom: 0px;
  right: 0px;
  left: 0px;
  a {
    position: absolute;
    right: 5px;
    top: 4px;
    color: @xivo-dark-gray;
    &:hover {
      color: @color-normal;
      cursor: pointer;
    }
  }
}

.meetingroom-call-number {
  display: grid;
  grid-template-columns: 3fr 1.5fr;
  p {
    height: 35px;
    line-height: 45px;
    text-align: left;
    font-weight: bolder;
  }
  input {
    text-align: center;
    text-transform: unset;
  }
}

.history-container {
  .history-highest:nth-child(2) > .history-grid {
    border-top : 0;
  }
}

.history-grid {
  display: grid;
  grid-template-columns: 60px 24px 180px 31px 59px 84px 1fr;
  align-items: center;
  line-height: 56px;
  color: @color-normal;
  border-top: 1px solid lighten(@xivo-dark-gray, 30%);

  &:hover {
    background-color: @xivo-primary-hover;

    .history-time-one,
    .history-time-two {
      display: flex;
    }

    .history-chevron {
      color: @xivo-light;
    }
  }

  .history-actions {

    .history-time-one {
      line-height          : 50px;
      display              : grid;
      grid-template-rows   : 1fr;
      grid-template-columns: 1fr 1fr;
      grid-gap: 10px;
      padding              : 0px 7px;
      font-size            : 28px;
      .parent-call {
        grid-column: 2;
      }
    }

    .history-time-two {
      text-align           : center;
      line-height          : 50px;
      grid-template-rows   : 1fr;
      grid-template-columns: 1fr 1fr;
      padding              : 0px 7px;
      font-size            : 28px;
      display: flex;
      justify-content: center;
      align-items: center;

      .parent-add {
        display: flex;
        padding: 0 3.5px;
      }
      .edit.action.button.d-flex {
        padding: 0 3.5px;
      }
    }
  }

  .history-phone {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    font-weight: bold;
  }

  .number-of-calls {
    font-size: 16px;
  }

  .parent-call {
    color      : @xivo-primary;
    cursor     : pointer;
    height     : 50px;
    text-align : center;
  }

  .parent-add {
    color      : @xivo-primary;
    cursor     : pointer;
    height     : 50px;
    text-align : center;
    &:hover {
      color: @xivo-primary;
    }
  }

  .history-chevron {
    font-size: 14px;
    color   : @chevron;
  }


}
.actions-end {
  margin-left: 65px;
}

.history-child-grid {
  grid-template-columns: 20px 40px auto auto 70px;
  grid-template-rows   : 1fr;
  height               : 30px;

  .children-duration {
    grid-column: 3;

    span {
      padding-left: 10px;
    }
  }

  .children-start {
    margin-right: 0px;
    text-align : end;
    grid-column: 4;
  }

  .children-status {
    grid-column: 2;

    img {
      margin-left: 10px;
    }
  }

  .history-child-grid-item {
    line-height: 30px;
    padding    : 0px 8px;
    grid-row   : 1;
  }
}

.children-hiddens {
  .history-children-details {
    display: none;
  }
}

.children-show {
  .user-status {
    img {
    display: none;
    }
  }

  .history-children {
    display: flex;
    align-items: center;
    visibility: hidden;
  }

  .history-children-details {
    font-size: 16px;
    display: grid;
  }
}

.parent-clickable {
  cursor: pointer;
  .history-children-details {
    cursor: default;
  }
}



.openExtView {
  position: absolute;
  border: 0px;
  background-color: rgba(0, 0, 0, 0);
  left: 16px;
  top: 11px;
  z-index: 4;
  outline: none;
  cursor: pointer;
  color: @xivo-dark-gray;
  font-size: 18px;
  &:hover {
    text-decoration: none;
    font-weight: bold;
    color:@xivo-primary;
  }

  &.active {
    color:@xivo-dark;
  }
}

#footer {
  margin-top: 15px;
  font-size : 12px;
  color     : @xivo-dark-gray;
}

.link-desktop-assistant {
  margin-top: 75px;

  .align-download-buttons {

    .download-buttons {
      padding: 5px;
    }
  }
}

.version {
  position: absolute;
  line-height: 25px;
  font-size: 10px;
  color: @xivo-dark;
  right: 5px;
}

.fa-stack {
  font-size: 20px !important;
  vertical-align: middle;
  margin-top: 4px;
}

.users-icon {
  font-size: 27px;
}

.xivo-forward {
  font-size: 16px;
}

.xivo-do-not-disturb {
  .gradient-background(@btn-primary-color-danger);
  &:hover {
    .gradient-background(@btn-primary-color-hover);
  }
}

.conference-participant-undeaf {
  color: @btn-primary-color-off-1;
  &:hover {
    @btn-primary-color-hover-2;
  }
}

a:not(.call-hangup):not(.chat-party):not(.btn-menu), .chat-arrow {

  .gradient-background(@btn-primary-color-off);
  text-decoration: none;

  &:hover {
    color: @btn-primary-color-hover-2;
    text-decoration: none;
    .gradient-background(initial, initial, initial);
  }
  i, span:not(.badge):not(.party-new-message) {
    .gradient-background(@btn-primary-color-off);

    &.badge-message {
      background: @btn-primary-color-hover-2;
      i {
        .gradient-background(initial, initial, initial);
        color: @xivo-light;
      }
      &:hover {
        background: @btn-primary-color-hover-2;
      }
    }

    &:hover {
      .gradient-background(@btn-primary-color-hover);
    }
  }

  .favorite {
    .gradient-background(@btn-primary-color-active);
    &:hover {
      .gradient-background(@btn-primary-color-hover);
    }
  }
  .badge {
    .gradient-background(inherit, initial, initial);
    &:hover {
      .gradient-background(inherit, initial, initial);
    }
  }

  .voicemail-badge {
    line-height: 0.8;
    position: absolute;
    top: 19px;
    right: -5px;
    color: @xivo-light;
    background: @btn-primary-color-hover-2;
    height: 16px;
    width: 16px;
    padding: 4px 0 0 0;
    &:hover {
      color: @xivo-light;
      background: @btn-primary-color-hover-2;
    }
  }
}

.close, .hide-modal {
  .fa-times, .fa-arrow-left {
    .gradient-background(@btn-primary-color-off);
    text-shadow: initial;
  }
  &:hover {
    .fa-times, .fa-arrow-left {
      .gradient-background(@btn-primary-color-active);
      text-shadow: initial;
    }
  }
}

.openExtView {
  i {
    .gradient-background(@btn-primary-color-off);
    text-shadow: initial;
  }
  &:hover {
    i {
      .gradient-background(@btn-primary-color-hover);
    }
  }
}

.remove-all-contact-modal {
  .btn.btn-primary {
    background: @btn-primary-color-off;
    color: @xivo-light;

    &.active {
      background: @btn-primary-color-danger;
    }

    &:hover:not(:disabled) {
      background: @btn-primary-color-danger;
    }
  }

  .btn.btn-warning {
    color: @xivo-light;
    background: @btn-primary-color-off;
    &:hover:not(:disabled) {
      background: @btn-primary-color-hover;
    }
  }
}

.btn.btn-primary {
  background: @btn-primary-color-off;
  color: @xivo-light;

  &.active {
    background: @btn-primary-color-active;
  }

  &:hover:not(:disabled) {
    background: @btn-primary-color-hover;
  }
}

.btn.btn-warning {
  color: @xivo-light;
  background: @btn-primary-color-off;
  &:hover:not(:disabled) {
    background: @btn-primary-color-active;
  }
}

.button.disabled {
  .nd-action-button , .nd-action-button:hover:not(.disabled){
    opacity: 0.5;
    cursor: not-allowed;

    &:hover {
      background: @xivo-light;
      cursor: not-allowed;
      i {
        cursor: not-allowed;
        .gradient-background(@btn-primary-color-off);
      }
    }
  }
}

.nd-action-button {
  width: 35px;
  height: 35px;
  display: flex;
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  background: @xivo-light;
  font-size: 20px;
  margin: auto;
  cursor: pointer;
  outline: none;
  i {
    .gradient-background(@btn-primary-color-off);
  }

  &.close {
    &:hover:not(.disabled) {
      color: @xivo-light;
      .gradient-background(@btn-primary-color-active, initial, initial);
    }
  }

  &:hover, &:focus {
    text-decoration: none;
  }

  &:hover:not(.disabled) {
    color: @xivo-light;
    background: @btn-primary-color-hover;
    i {
      .gradient-background(initial, initial, initial);
    }
  }
  span {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  &.d-block {
    margin: auto;
    i {
      line-height: 50px;
    }
  }

  &.disabled {
    cursor: default;
    background: darken(@xivo-light, 25%);
    color: @xivo-dark;
  }

}
.d-block {
  display: block !important;
}

.user-status {
  margin: 0 10px;
  position    : relative;
}

.externalNumber.user-status {
  visibility: hidden;
}

.no-border {
  border: none !important;
}

.tooltip.tooltipSearchClass { //message in search bar if not enough characters

  .tooltip-inner {
    color: white;
    background-color: 	#bf0000;
    box-shadow: 0 6px 12px rgba(0,0,0,.175);
  }

  .tooltip-arrow {
    display: none;
  }

  &.fade.in{
    width: auto;
  }
}

.personalcontact-row-wrapper {
  display: grid;
  grid-template-rows: auto 1fr;
  p {
    text-align: left;
    font-weight: bolder;
  }
  span {
    color: @xivo-primary;
    font-style: italic;
  }
  input {
    &::placeholder {
      text-transform: none!important;
    }
  }
}

.fullscreen-button {
  opacity           : 0;
  position          : absolute;
  bottom            : 15px;
  z-index           : 100001 !important;
  background-color  : @xivo-primary;
  border-radius     : 50%;
  border            : none;
  left              : 50%;
  transform         : translate(-50%, 0);
  -webkit-transition: opacity 0.5s ease-in-out;
}

.video-container:hover>.fullscreen-button {
  opacity           : 1;
  -webkit-transition: opacity 0.5s ease-in-out;
}

video::-webkit-media-controls-panel {
  display: none;
}

jitsi-video {
  width: calc(~"100% - 470px");
  overflow: hidden;
  height: 100%;
  flex: auto;
  z-index: @default-index;
  #meet {
    height: 100%;
  }
}

jitsi-video.foreground {
  z-index: @jitsi-video;
}

.ringtone-list, .device-list {

  &.scrollable-y {
    overflow-y: scroll;
  }
}

.ringtone-bloc, .device-bloc {
  display: flex;
  min-height: 60px;
  align-items: center;
  flex-wrap: wrap;

  &:not(:last-child) {

    &:after {
      content: '';
      width: 100%;
      height: 1px;
      background: lighten(@xivo-dark-gray, 30%);
      position: relative;
      display: flex;
    }
  }
  &:hover {
    background-color: @xivo-primary-hover;
    cursor: pointer;
  }

  &.selected {
    .title-author-container {
      .title {
        color: @xivo-primary;
      }
    }
    .ringtone-device {
      color: @xivo-primary;
      i {
        .gradient-background(@btn-primary-color-active);
      }
    }
  }

  .title-author-container {
    display: flex;
    flex-direction: column;

    .title {
      display: flex;
      color: @btn-primary-color-off-1;
      text-align: start;
      max-width: 300px
    }

    .author {
      display: flex;
      font-size: 11px;
      color: @color-menu;
    }
  }

  .ringtone-selected-bloc, .device-selected-block {
    margin-left: auto;
    margin-right: 10px;

    i {
      .gradient-background(@btn-primary-color-active);
      font-size: 20px;
    }
  }

  .ringtone-listener-container {
    margin: 1rem;
    display: flex;

    .ringtone-listener-button {
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      width: 30px;
      height: 30px;
      background-color: @xivo-light;
      i {
        .gradient-background(@btn-primary-color-off);

      }

      &:hover {
        background: @btn-primary-color-hover;
        i {
          color: @xivo-light;
          .gradient-background(initial , initial, initial);
        }
      }
    }

    i.xivo-play {
      padding-left: 3px;
    }
  }

  .ringtone-device {
    padding-right: 15px;
    font-size: 22px;
    color: @btn-primary-color-off-1;
    min-height: calc(60px - 2rem);
    align-items: center;
    display: flex;
    i {
      .gradient-background(@btn-primary-color-off);
    }
  }
}

.party-message {
  a {
    color: @xivo-light;
    .gradient-background(initial, initial, initial)
  }
}

.list-title {
  display: flex;
  margin-bottom: 25px;
  font-size: 16px;
  color: @color-menu;
  margin-left: 2rem;
}

.contact-wrapper {
  width: 100%;
  display: flex;
  flex-direction: column;

  .contact {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;

    &.contact-separator {
      &:after {
        content: '';
        width: 95%;
        height: 1px;
        background: lighten(@xivo-dark-gray, 30%);
        position: relative;
        display: flex;
      }
    }

    .user-status.user-status0 {
      height: 50px;
    }

    .user-infos, .group-infos {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
      padding-left: 10px;

      a {
        display: flex;
      }
      .favorite, .name {
        margin: 0 1rem;
        display: flex;
        word-break: break-word;
      }
      .name-service-post-section {
        margin-left: 12px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;

        .name-surname {
          font-weight: bold;
        }

        .name-surname, .job, .business-unit {
          text-overflow: ellipsis;
          max-width: 130px;
          overflow: hidden;
          white-space: nowrap;
        }
      }

    }

    .align-star {
      width: 34px;
      justify-content: center;
      height: 14px;
    }

    .user-line {
      &:hover {
        cursor          : pointer;
        background-color: @xivo-primary-hover;

        .children-chevron {
          color   : @xivo-light;
        }
      }
    }

    .group-line {
      &:hover {
        cursor: auto;
      }
    }

    .user-line, .group-line {
      display: flex;
      width: 100%;
      min-height: 56px;
      padding: 0.5rem 0;

      .group-pause-action {
        &:hover {
          border: 1.5px solid #b1b1b1;
        }
      }

      .group-unpause-action {
        &:hover {
          border: 1.5px solid #42C276;
        }
      }

      .group-pause-action, .group-unpause-action {
        svg {
          width: 20px;
          height: 20px;

          &:focus {
            outline: none;
          }
        }

        &:hover:not(.disabled):not(:focus) {
          background: #FFF;

          .portal {
            animation: portalWobble 3s ease-in-out infinite;
          }
        }
      }

      .group-pause-action.clicked, .group-unpause-action.clicked {
        cursor: none;

        &:hover {
          background: #FFF;
        }

        .portal {
          animation: portalPulse 3s infinite ease-in-out;
        }

        .character {
          animation: characterRun 2s infinite ease-in-out;
        }

      }
    }
  }
}

@keyframes portalWobble {
  0%, 100% {
    transform: rotate(0deg) scale(1);
    opacity: 1;
  }
  25% {
    transform: rotate(-2deg) scale(1.02);
    opacity: 1;
  }
  75% {
    transform: rotate(2deg) scale(1.02);
    opacity: 1;
  }
}

@keyframes portalPulse {
  0% { opacity: 1; }
  25% { opacity: 0.9; }
  50% { opacity: 0.6; }
  75% { opacity: 0.3; }
  100% { opacity: 0.4; }
}


@keyframes characterRun {
  0%, 100% {
    transform: translateY(0) rotate(0deg);
  }
  25% {
    transform: translateY(-5px) rotate(-5deg);
  }
  50% {
    transform: translateY(0) rotate(0deg);
  }
  75% {
    transform: translateY(-5px) rotate(5deg);
  }
}



.call-buttons {
  display: flex;
  justify-content: flex-end;
  align-items: center;

  .button {
    margin: 0 5px;
  }

  .email-button {
    margin: 0;
  }
}

.call-buttons-margin {
  margin-right: 18px;
}

.parent-chevron {
  display: flex;
  justify-content: flex-end;
  align-items: center;

  .children-chevron {
    color   : @chevron;
    margin-right: 4px;
  }
}

.d-inline-flex {
  display: inline-flex;
}

.d-flex {
  display: flex;
}

.is-meeting-room {
  font-size: 21px;
  color: @color-meetingroom;
}
.number-line {
  align-items: center;
  justify-content: flex-end;
  width: 100%;

  .phone-number {
    margin-right: 15px;
    &:not(.share-link) {
      cursor: copy;
    }
  }
}

.user-detail {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;

  .input-group {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
    width: 100%;
  }
  .call-buttons {
    padding: 0.5rem 0;
    &:hover {
      background-color: lighten(@xivo-primary, 40%);
    }
  }
}

.avatar-status {
  display: flex;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  min-width: 45px;
  min-height: 45px;

  .avatar-circle {
    display: flex;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    background-color: @xivo-light;

    span {
      text-transform: uppercase;
      font-size: 12px;
      padding: 4px;
    }
    .xivo-meeting {
      color: @xivo-success;
    }
    .fa-users {
      font-size: 20px;
    }
  }
}

.avatar-star {
  position: relative;
  right: 22px;
  top: 15px;
  a:hover {
   text-decoration: none;
 }
  span {
    text-shadow: -0.5px 0 white, 0 0.5px white, 0.5px 0 white, 0 -0.5px white;
  }
}

.contact-hr {
  display: flex;
  width: 95%;
  border: 0;
  margin: 0 auto;
  border-top: 1px solid #eeeeee;
}

.no-jitsi-error {
  width: 100%;
  justify-content: flex-end;
  align-items: center;
  margin: 0 10px;
  display: flex;
}

.w-0 {
  width: 0;
}

.h-0 {
  height: 0;
}

.w-100 {
  width: 100% !important;
}
.h-100 {
  height: 100% !important;
}

.btn-lg.btn-circle {
  display: flex;
  justify-content: center;
  align-items: center;
}

.history-actions {
  align-items: center;
}

.history-time-one {
  .history-actions {
    padding: 0 3.5px 0 46px;
  }
}

.m-0 {
  margin: 0!important;
}

.p-0 {
  padding: 0!important;
}

.create-contact-header, .create-meeting-room-header {
  &.modal-header.modal-panel {
    height: initial;
  }
}

.create-contact-body, .create-meeting-room-body {

  .panel-group {
    margin-bottom: 0 !important;
  }

  .panel-group .panel-heading  {
    padding: 0;
    border: none;
    position: relative;
    top: -70px;
    right: -25px;
  }
  .panel {
    background-color: inherit;
    border: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
  }
  .panel-body {
    border: 1px solid transparent !important;
    background-color: inherit;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
  }

  .personalcontact-row-wrapper {
    width: 100%;

    .md-auto-horizontal-margin {
      margin:0;
    }
  }

  .intput-label {
    text-align: start;
  }

  .pull-right.fa.fa-chevron-down, .pull-right.fa.fa-chevron-up {
    &:hover {
      color: @xivo-primary;
    }
  }
}

.user-status0 {
  background: @xivo-success;
  /*    AVAILABLE : 0,*/
  &:hover {
    background-color: @xivo-success !important;
  }

  &.lighter:not(:hover) {
    background-color: lighten(@xivo-success, 10%) !important;
  }
  .avatar-circle {
    background-color: lighten(@xivo-success, 40%) !important;
  }
}

.user-status1 {
  /*    CALLING : 1,*/
  background: @xivo-primary;
  &:hover {
    background-color: @xivo-primary !important;
  }

  &.lighter:not(:hover) {
    background-color: lighten(@xivo-primary, 10%) !important;
  }
  .avatar-circle {
    background-color: lighten(@xivo-primary, 40%) !important;
  }
}

.user-status-99, .user-status-2, .user-status-1, .user-status4 {
  background: #dfdfdf;
  /*  INDISPONIBLE : 4,
    DEACTIVATED : -1,
    UNEXISTING : -2,
    ERROR : -99 */
  &:hover {
    background-color: #dfdfdf !important;
  }
  .avatar-circle {
    background-color: lighten(#dfdfdf, 30%) !important;
  }

}

.user-meetingroom {
  background: #81BEF7;

  &:hover {
    background-color: #81BEF7 !important;
  }
  .avatar-circle {
    background-color: lighten(#81BEF7, 30%) !important;
  }
}

.information {
  font-weight: bold;
  font-size: 24px;
  margin-bottom: 1rem;
  margin-top: 0.5rem;
}

.information-title {
  font-size: 16px;
}

.green {
  color: @xivo-success;
}

.hid-headset:after {
    content: "";
    position: absolute;
    width: 5px;
    height: 5px;
    top: 12px;
    left: 10px;
    background-color: #42C276;
    border-radius: 50%;
    animation: blinking 3s infinite;
}

@keyframes blinking {
  0%{
    opacity: 1;
  }
  50%{
    opacity: 0;
  }
  100%{
    opacity: 1;
  }
}

.menu-headset-name {
  font-style: italic;
  display: block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  max-width: 300px;
  margin: 0 auto;
}
.orange {
  color: @orange;
}

.red {
  color: @red;
}

.grey {
  color: @grey;
}
